Sentiment
curl --request POST \
--url https://test.api.cxconnect.ai/language/analyze/sentiment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"meta": {
"foo": "bar"
}
}
'import requests
url = "https://test.api.cxconnect.ai/language/analyze/sentiment"
payload = {
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"meta": { "foo": "bar" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document: {value: '<string>', mime_type: '<string>', language: '<string>', meta: {}},
meta: {foo: 'bar'}
})
};
fetch('https://test.api.cxconnect.ai/language/analyze/sentiment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.api.cxconnect.ai/language/analyze/sentiment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document' => [
'value' => '<string>',
'mime_type' => '<string>',
'language' => '<string>',
'meta' => [
]
],
'meta' => [
'foo' => 'bar'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.api.cxconnect.ai/language/analyze/sentiment"
payload := strings.NewReader("{\n \"document\": {\n \"value\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"language\": \"<string>\",\n \"meta\": {}\n },\n \"meta\": {\n \"foo\": \"bar\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://test.api.cxconnect.ai/language/analyze/sentiment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"document\": {\n \"value\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"language\": \"<string>\",\n \"meta\": {}\n },\n \"meta\": {\n \"foo\": \"bar\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.api.cxconnect.ai/language/analyze/sentiment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document\": {\n \"value\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"language\": \"<string>\",\n \"meta\": {}\n },\n \"meta\": {\n \"foo\": \"bar\"\n }\n}"
response = http.request(request)
puts response.read_body{
"sentiment": "<string>",
"magnitude": 123,
"score": 123,
"language": "<string>",
"meta": {}
}language
Sentiment
The sentiment endpoint performs sentiment analysis of the source text. Analysis is performed on the native language if supported, otherwise, the source text is translated to English prior to analysis.
POST
/
language
/
analyze
/
sentiment
Sentiment
curl --request POST \
--url https://test.api.cxconnect.ai/language/analyze/sentiment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"meta": {
"foo": "bar"
}
}
'import requests
url = "https://test.api.cxconnect.ai/language/analyze/sentiment"
payload = {
"document": {
"value": "<string>",
"mime_type": "<string>",
"language": "<string>",
"meta": {}
},
"meta": { "foo": "bar" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document: {value: '<string>', mime_type: '<string>', language: '<string>', meta: {}},
meta: {foo: 'bar'}
})
};
fetch('https://test.api.cxconnect.ai/language/analyze/sentiment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.api.cxconnect.ai/language/analyze/sentiment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document' => [
'value' => '<string>',
'mime_type' => '<string>',
'language' => '<string>',
'meta' => [
]
],
'meta' => [
'foo' => 'bar'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.api.cxconnect.ai/language/analyze/sentiment"
payload := strings.NewReader("{\n \"document\": {\n \"value\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"language\": \"<string>\",\n \"meta\": {}\n },\n \"meta\": {\n \"foo\": \"bar\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://test.api.cxconnect.ai/language/analyze/sentiment")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"document\": {\n \"value\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"language\": \"<string>\",\n \"meta\": {}\n },\n \"meta\": {\n \"foo\": \"bar\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.api.cxconnect.ai/language/analyze/sentiment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document\": {\n \"value\": \"<string>\",\n \"mime_type\": \"<string>\",\n \"language\": \"<string>\",\n \"meta\": {}\n },\n \"meta\": {\n \"foo\": \"bar\"\n }\n}"
response = http.request(request)
puts response.read_body{
"sentiment": "<string>",
"magnitude": 123,
"score": 123,
"language": "<string>",
"meta": {}
}Authorizations
OAuth2BearerAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
API level access to permit operations
Allow read level access to stored configs and settings
Allow write level access to store configs and settings
Body
application/json
Was this page helpful?